//============================================================================
// Name        : ClassAdapter2.cpp
// Author      :
// Version     :
// Copyright   :
// Description : Hello World in C++, Ansi-style
//============================================================================

#include "Rectangle.h"
#include "Circle.h"
#include "Shape.h" // polimorfismo
#include "Text.h"
#include "TextShapeAdapter.h"

#include <list> // STL list
#include <iostream>
using namespace std;

int main() {

	list<Shape*> drawingElements;

	Rectangle* rect1 = new Rectangle();
	Rectangle* rect2 = new Rectangle(12, 4);
	Circle* aCircle1 = new Circle();
	Circle* aCircle2 = new Circle(5);
	Shape* someText = new TextShapeAdapter("Hello world !", 14);

	drawingElements.push_back(rect1);
	drawingElements.push_back(someText);
	drawingElements.push_back(aCircle1);
	drawingElements.push_back(rect2);
	drawingElements.push_back(aCircle2);


	list<Shape*>::iterator itr;
	for( itr=drawingElements.begin(); itr != drawingElements.end(); itr++ ) {
		(*itr)->draw();
	}

	return 0;
}
