/*
 * Shape.h
 *
 *  Created on: 18-mag-2010
 *      Author: docente
 */

#ifndef SHAPE_H_
#define SHAPE_H_

class Shape {
public:
	Shape(int ax=0, int ay=0) : x(ax), y(ay) {};
	virtual ~Shape() {};

	virtual void draw() = 0;
	virtual void resize(float newSize) = 0;

	virtual void setX(int x) {
		this->x = x;
	}
	virtual void setY(int y) {
		this->y = y;
	}
	virtual int getX() const {
		return x;
	}
	virtual int getY() const {
		return y;
	}

protected:
	int x, y;
};

#endif /* SHAPE_H_ */
